import { jsx } from "react/jsx-runtime";
import { Fingerprint as Fingerprint$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Fingerprint = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Fingerprint", ...props, children: /* @__PURE__ */ jsx(Fingerprint$1, { weight: variant }) });
  }
);
Fingerprint.displayName = "Fingerprint";
Object.assign(Fingerprint, { isGdsIcon: true });
export {
  Fingerprint
};
